# Price Components

These components use `useIgPrices()` internally. See [docs](/version-1.2.16/reference/hooks/price-hooks.md) for details on price-return logic.

## `<IgPrice/>` and `<IgCompareAtPrice/>`

The [`<IgPrice/>`](#less-than-igprice-greater-than) and `<IgCompareAtPrice/>` components are recommended when you want a drop-in replacement for storefront prices. They automatically pick the active test group pricing (when available) and apply Integration Mode styling.

The `priceFormatter` prop may be used to format the returned price for your site (for example, to add localized currency formatting).

```tsx
export type PriceFormatter = (value: number, currencyCode?: string) => string;

export interface IgBasePriceProps {
  className?: string;
  productId?: string;
  variantId?: string;
  currencyCode?: string;
  priceFormatter?: PriceFormatter;
}

export interface IgPriceProps extends IgBasePriceProps {
  originalPrice: number | string;
}

export interface IgCompareAtPriceProps extends IgBasePriceProps {
  originalCompareAtPrice?: number | string;
}
```

## `<IgBasePrice/>`

Lower-level component that renders from an existing `useIgPrices()` return value. This powers `<IgPrice/>` and `<IgCompareAtPrice/>`.

```tsx
import type { PriceFormatter, UseIgPricesReturn } from "@intelligems/headless";

type IgBasePriceProps = {
  className?: string;
  igPrices: UseIgPricesReturn;
  isCompareAtPrice: boolean;
  priceFormatter?: PriceFormatter;
};
```

## `<Price/>`

Lowest-level price renderer used by `<IgBasePrice/>`.

```tsx
import type {
  IgPriceReturn,
  PriceFormat,
  PriceFormatter,
} from "@intelligems/headless";

export interface PriceProps {
  isIgPrice: boolean;
  igPrice?: IgPriceReturn;
  priceFormat: PriceFormat;
  priceFormatter?: PriceFormatter;
  integration?: boolean;
  className?: string;
  isCompareAtPrice: boolean;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://headless.intelligems.io/version-1.2.16/reference/components/price-components.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
